mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IDictionary An abstract class that provides a simple way to monitor changes to a Hashtable. Derived classes overwrite one or more of the `On' methods to track the changes to the Hashtable. This class is a base class that can simplify the development of strongly typed collections. The idea being that the insertion of elements into the Hashtable can be forced to be of a given type.

The `On' members are protected and designed to be used only by derived classes.

- Constructor
  Default constructor.
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void Clears the contents of the dictionary To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` The array to copy the contents of the dictionary to. The array must have a zero-based indexing. Starting index within the array where to copy the objects to. Copies the contents of the Dictionary into the target array. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 Returns the number of items in the dictionary To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Collections.IDictionary The collection contained as an IDictionary To be added: an object of type 'IDictionary' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.IDictionaryEnumerator Returns an enumerator for the dictionary The enumerator for the underlying hashtable. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Collections.Hashtable The internal Hashtable representation for this dictionary To be added: an object of type 'Hashtable' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Hook invoked before the clear operation is performed on the DictionaryBase To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Hook invoked after the clear operation is performed on the DictionaryBase The default implementation does nothing, derived classes can override this method to be notified of changes 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` Key of the object to retrieve. To be added. Hook invoked while fetching data from the DictionaryBase. This method is provided as a simple way to override the values returned by the DictionaryBase. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` Key of the object to insert. To be added. Hook invoked before inserting data into the DictionaryBase. Derived classes can override this method and perform some action before the is inserted into the dictionary.

  The default implementation does nothing, derived classes can override this method to be notified of changes

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` Key of the object to insert To be added. Hook invoked after inserting the data into the DictionaryBase The default implementation does nothing, derived classes can override this method to be notified of changes. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` Key of the object to remove To be added. Hook invoked before removing a key/value from the DictionaryBase. Derived classes can override this method and perform some action before the is removed from the dictionary. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` Key of the object to remove. To be added. Hook invoked after removing a key/value from the DictionaryBase. The default implementation does nothing, derived classes can override this method to be notified of changes. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` Key of the object to change To be added. To be added. Hook invoked before changing a value for a key in the DictionaryBase. Derived classes can override this method and perform some action before the is changed in the dictionary. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` Key of the object to change To be added. To be added. Hook invoked after changing a value for a key in the DictionaryBase. The default implementation does nothing, derived classes can override this method to be notified of changes 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` Key of the object to retrieve To be added. Hook invoked after the value has been validated. The default implementation does nothing, derived classes can override this method to monitor the DictionaryBase. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Object To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Collections.ICollection To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Collections.ICollection To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.IEnumerator To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)